{***********************************************************}
{* Electronics: Making XOR gates based on Boolean algebra. *}
{***********************************************************}

program LogicGates2;

// Version 1.0 (June, 2018): Original program
// Version 1.0.1 (December 2019):
//   - Some minor code modifications
// Version 1.0.2 (August 2021):
//   - Circuit display amelioration

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces,
  Forms,
  logic2, xor_impl1, xor_impl2;

{$R *.res}

begin
  RequireDerivedFormResource:=True;
  Application.Initialize;
  Application.CreateForm(TfLogic2, fLogic2);
  Application.CreateForm(TfXOR1, fXOR1);
  Application.CreateForm(TfXOR2, fXOR2);
  Application.Run;
end.

